Update opportunity
curl --request PUT \
--url https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/opportunities/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"confidence": 90,
"stage_id": 12
}
'import requests
url = "https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/opportunities/{id}"
payload = {
"confidence": 90,
"stage_id": 12
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({confidence: 90, stage_id: 12})
};
fetch('https://flozy-backend-1042419926531.us-central1.run.app/api/v1/external/opportunities/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"http_code": 200,
"status": "success",
"message": "Opportunity updated"
}{
"http_code": 401,
"status": "failed",
"message": "Invalid or missing API key"
}{
"http_code": 403,
"status": "failed",
"message": "Insufficient scope"
}{
"http_code": 404,
"status": "failed",
"message": "Resource not found"
}Opportunities
Update opportunity
Updates an existing opportunity.
PUT
/
opportunities
/
{id}
Update opportunity
Authorizations
Your Flozy API key. Starts with flz_live_.
Path Parameters
Body
application/json
Response
Opportunity updated.
⌘I